%define use_enable_final 1
%{?_no_enable_final: %{expand: %%global use_enable_final 0}}

%define use_enable_pie 1
%{?_no_enable_pie: %{expand: %%global use_enable_pie 0}}

%define __libtoolize /bin/true 

%define unstable 0
%{?_with_unstable: %global unstable 1}

%if %unstable
%define dont_strip 1
%endif

%define origname kmplayer
%define betaver rc2

Name: kde4-%origname
Version: 0.11.0
Release: %mkrel -c %betaver 4
Summary: A multimedia mplayer/phonon frontend for KDE
License: GPLv2+
Group: Video
Url: http://kmplayer.kde.org/
Source:	http://kmplayer.kde.org/pkgs/%{origname}-%{version}-%{betaver}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: kdelibs4-devel
BuildRequires: libnspr-devel
BuildRequires: gtk2-devel
BuildRequires: dbus-glib-devel
Conflicts: kmplayer < %version

%description
KMPlayer can play all the audio/video supported by mplayer/phonon from local
file or url, be embedded inside Konqueror and KHTML and play DVD's.

%post
%{update_menus}
/sbin/ldconfig

%postun
%{clean_menus}
/sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%doc ChangeLog README
%{_kde_bindir}/kmplayer
%{_kde_bindir}/kphononplayer
%{_kde_datadir}/apps/%{origname}
%{_kde_datadir}/kde4/services/*.desktop
%{_kde_libdir}/*.so
%{_kde_libdir}/kde4/*.so
%{_kde_iconsdir}/*/*/*/*

#--------------------------------------------------------------------

%package npplayer
Group: Video
Summary: Kmplayer netscape plugin player
Requires: %name

%description npplayer
Kmplayer netscape plugin player.

%files npplayer
%defattr(-,root,root)
%doc AUTHORS ChangeLog README
%_kde_bindir/knpplayer

#--------------------------------------------------------------------

%prep
%setup -q -n %{origname}-%{version}-%{betaver}

%build
%cmake_kde4
%make

%install
rm -rf %buildroot
cd build
%makeinstall_std
cd -

rm -fr %buildroot%_kde_datadir/doc/HTML/en/doc/
# icons/oxygen/*. conflicts with oxygen-icon-theme
rm -f %buildroot%_kde_iconsdir/oxygen/*/apps/%origname.*

%{find_lang} %{name} --with-html

%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Sat Mar 08 2008 Nicolas Lécureuil <neoclust@mandriva.org> 0.11.0-0.rc2.4mdv2008.1
+ Revision: 182317
- Rebuild against new qt4 changes

* Sat Mar 01 2008 Funda Wang <fundawang@mandriva.org> 0.11.0-0.rc2.3mdv2008.1
+ Revision: 177098
- add conflicts on kmplayer3

* Fri Feb 08 2008 Funda Wang <fundawang@mandriva.org> 0.11.0-0.rc2.2mdv2008.1
+ Revision: 164103
- fix conflict with oxygen-icon-theme

* Mon Jan 28 2008 Funda Wang <fundawang@mandriva.org> 0.11.0-0.rc2.1mdv2008.1
+ Revision: 159053
- New version 0.11.0 rc2

* Sun Jan 20 2008 Funda Wang <fundawang@mandriva.org> 0.11.0-0.rc1.1mdv2008.1
+ Revision: 155249
- BR dbus-glib
- reword summary
- import souorce and spec
- Created package structure for kde4-kmplayer.

